Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta.generators
Class RandomizableRangedGenerator

    java.lang.Object
      weka.classifiers.meta.generators.Generator
          weka.classifiers.meta.generators.RandomizableGenerator
              weka.classifiers.meta.generators.RandomizableRangedGenerator

All Implemented Interfaces:
  java.io.Serializable, Ranged, OptionHandler

Direct Known Subclasses:
  UniformDataGenerator

    public abstract class RandomizableRangedGenerator

extends RandomizableGenerator
implements Ranged

Abstract superclass for generators that take ranges and use a seeded random number generator internally

Version:
  $Revision: 5793 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  Serialized Form

Constructor Summary
`RandomizableRangedGenerator()`

Method Summary
`double` | `getLowerRange()` Gets the lower range of the generator.
`java.lang.String[]` | `getOptions()` Gets the current settings of the Classifier.
`double` | `getUpperRange()` Gets the upper range of the generator.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `lowerRangeTipText()` Returns the tip text for this property.
`void` | `setLowerRange(double value)` Sets the lower range.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setUpperRange(double value)` Sets the upper range.
`java.lang.String` | `upperRangeTipText()` Returns the tip text for this property.

Methods inherited from class weka.classifiers.meta.generators.RandomizableGenerator
`getSeed, seedTipText, setSeed`

Methods inherited from class weka.classifiers.meta.generators.Generator
`copy, debugTipText, forName, generate, getDebug, getLogProbabilityOf, getProbabilityOf, globalInfo, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomizableRangedGenerator

    public RandomizableRangedGenerator()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `RandomizableGenerator`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `RandomizableGenerator`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the Classifier.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `RandomizableGenerator`
  Returns:
    an array of strings suitable for passing to setOptions

### getLowerRange

    public double getLowerRange()

  Gets the lower range of the generator.

  Returns:
    The lower range of this generator.

### setLowerRange

    public void setLowerRange(double value)

  Sets the lower range.

  Specified by:
    `setLowerRange` in interface `Ranged`
  Parameters:
    `value` - The lower range of the generator.

### lowerRangeTipText

    public java.lang.String lowerRangeTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### getUpperRange

    public double getUpperRange()

  Gets the upper range of the generator.

  Returns:
    The upper range of this generator.

### setUpperRange

    public void setUpperRange(double value)

  Sets the upper range.

  Specified by:
    `setUpperRange` in interface `Ranged`
  Parameters:
    `value` - The upper range of the generator.

### upperRangeTipText

    public java.lang.String upperRangeTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD